Bug 430675 - Icons get stretched when collapsing/expanding table rows
Icons get stretched when collapsing/expanding table rows
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 08:22 EST by Nils Philippsen
Modified: 2009-06-10 03:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 03:24:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
document file that exhibits the problem (6.64 KB, application/vnd.oasis.opendocument.spreadsheet)
2008-01-29 08:22 EST, Nils Philippsen
no flags Details
spreadsheet before collapsing the bracketed table rows (179.10 KB, image/png)
2008-01-29 08:23 EST, Nils Philippsen
no flags Details
süreadsheet with bracketed table rows collapsed (168.63 KB, image/png)
2008-01-29 08:23 EST, Nils Philippsen
no flags Details
spreadsheet after bracketed table rows have been expanded again (173.16 KB, image/png)
2008-01-29 08:24 EST, Nils Philippsen
no flags Details
smaller test-case (7.72 KB, application/vnd.oasis.opendocument.spreadsheet)
2008-02-05 09:55 EST, Caolan McNamara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 102061 None None None Never
OpenOffice.org 28244 None None None Never

  None (edit)
Description Nils Philippsen 2008-01-29 08:22:41 EST
Description of problem:
When collapsing multiple table rows and expanding them again (with the brackets
on the left-hand side), the icons get stretched vertically over several rows.

Version-Release number of selected component (if applicable):
openoffice.org-core-2.3.0-6.11.fc8

How reproducible:
Easy.

Steps to Reproduce:
1. Load attached test case in oocalc
2. Collapse bracketed rows (by clicking on the "-" over a bracket on the
left-hand side of the spreadsheet)
3. Expand that bracket again (by clicking on the resulting "+" on the left-hand
side of the spreadsheet)
  
Actual results:
The originally many icons in the rows that are collapsed/expanded get replaced
by one icon that's stretched over many rows.

Expected results:
the spreadsheet looks the same before collapsing and after expanding again.

Additional info:
The document file was exported from an SAP system (i.e. not created by OOo).
Comment 1 Nils Philippsen 2008-01-29 08:22:41 EST
Created attachment 293265 [details]
document file that exhibits the problem
Comment 2 Nils Philippsen 2008-01-29 08:23:23 EST
Created attachment 293266 [details]
spreadsheet before collapsing the bracketed table rows
Comment 3 Nils Philippsen 2008-01-29 08:23:57 EST
Created attachment 293267 [details]
süreadsheet with bracketed table rows collapsed
Comment 4 Nils Philippsen 2008-01-29 08:24:27 EST
Created attachment 293268 [details]
spreadsheet after bracketed table rows have been expanded again
Comment 5 Caolan McNamara 2008-02-05 09:55:44 EST
Created attachment 294000 [details]
smaller test-case
Comment 6 Caolan McNamara 2008-02-07 03:41:32 EST
sigh, what a mess object positioning is in calc.

Well, as a workaround in the generated .ods you could try and add some protect
size and position attributes which may give better results until this is fixed,
i.e. see http://www.openoffice.org/issues/show_bug.cgi?id=28244
Comment 7 Nils Philippsen 2008-02-07 08:21:27 EST
Helge, please investigate if the workaround mentioned in comment #6 is feasible
and improves the situation.
Comment 8 Nils Philippsen 2008-02-07 08:56:06 EST
NB: The workaround seems to amount to setting the style:protect parameter in the
style used for these images like the following (or adding a style to that effect
and using it for the images):

--- 8< --- content.xml ---
<style:style style:name="gr1" style:family="graphic">
    <style:graphic-properties draw:stroke="none" draw:fill="none"
style:mirror="none" style:protect="position size"/>
</style:style>
--- >8 -------------------
Comment 9 Bug Zapper 2008-11-25 21:05:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Caolan McNamara 2009-05-01 09:48:46 EDT
What we really need is a "hidden" layer like in writer for these objects to migrate into when they would not be shown
Comment 11 Caolan McNamara 2009-05-19 09:20:25 EDT
Nah, not a hidden layer, but a new anchoring attribute that we can use to restore position correctly on expansion. 

I've submitted a functional demo patch for this approach at http://www.openoffice.org/issues/show_bug.cgi?id=102061 that definitely fixes *this* problem at least
Comment 12 Caolan McNamara 2009-05-27 05:28:21 EDT
Hoping to have this new implementation place in F-12, changing version to rawhide.
Comment 13 Caolan McNamara 2009-06-05 07:44:00 EDT
Updated upstream for RTL support and some more goodness.

Now checked into fedora OOo for F-12
Comment 14 Bug Zapper 2009-06-09 05:26:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Caolan McNamara 2009-06-10 03:24:18 EDT
Seems spiffy with my new proposed impl for 3.2, available rawhide as 3.1.1-12.2.fc12

Note You need to log in before you can comment on or make changes to this bug.